> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/compliance/list-vault-accounts-for-a-legal-entity-paginated",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List vault accounts for a legal entity (Paginated)

> Returns vault account IDs explicitly assigned to a specific legal entity registration, with cursor-based pagination.
Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor, Viewer.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /legal_entities/{legalEntityId}/vaults
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /legal_entities/{legalEntityId}/vaults:
    get:
      tags:
        - Compliance
      summary: List vault accounts for a legal entity (Paginated)
      description: >-
        Returns vault account IDs explicitly assigned to a specific legal entity
        registration, with cursor-based pagination.

        Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor,
        Viewer.
      operationId: listVaultsForLegalEntity
      parameters:
        - in: path
          name: legalEntityId
          required: true
          description: The unique ID of the legal entity registration
          schema:
            type: string
            format: uuid
        - in: query
          name: pageCursor
          required: false
          description: Cursor string returned in `next` or `prev` of a previous response
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          description: Maximum number of registrations to return
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
      responses:
        '200':
          description: Paginated list of vault account IDs assigned to the legal entity
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVaultsForRegistrationResponse'
        '404':
          description: Legal entity registration not found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ListVaultsForRegistrationResponse>> =
            fireblocks.compliance.listVaultsForLegalEntity(complianceApiListVaultsForLegalEntityRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ListVaultsForRegistrationResponse>>
            response =
            fireblocks.compliance().listVaultsForLegalEntity(legalEntityId,
            pageCursor, pageSize);
        - lang: Python
          source: >-
            response =
            fireblocks.compliance.list_vaults_for_legal_entity(legal_entity_id,
            page_cursor, page_size);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ListVaultsForRegistrationResponse:
      type: object
      description: >-
        Response containing vault account IDs assigned to a legal entity
        registration
      properties:
        total:
          type: integer
          description: Total number of legal entity registrations (optional)
          example: 5
        data:
          type: array
          items:
            type: string
          description: List of vault account IDs assigned to the legal entity registration
          example:
            - '23'
            - '12'
            - '1'
        next:
          type: string
          description: Cursor to pass as `pageCursor` to retrieve the next page
          example: eyJpZCI6IjEyMyJ9
      required:
        - data
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````